
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/yasha.zip" ),
        Asset( "ANIM", "anim/ghost_yasha_build.zip" ),
}
local prefabs = {}

local start_inv = {
   "lighter", "lighter", "hammer", "goldenpickaxe", "spear"
}

local function FastFeet(inst)
    inst.components.locomotor.walkspeed = (5)
	inst.components.locomotor.runspeed = (7)
end

local master_postinit = function(inst)

    inst:ListenForEvent("ms_respawnedfromghost", FastFeet)
    FastFeet(inst)
	
	-- Stats	
	inst.components.health:SetMaxHealth(200)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(200)
    inst.components.locomotor.walkspeed = (5)
	inst.components.locomotor.runspeed = (7)
	inst.components.temperature.mintemp = (20)
	inst.components.temperature.maxtemp = (25)
	inst.components.combat.damagemultiplier = (3.5)
	inst.components.sanity.dapperness = (TUNING.DAPPERNESS_SMALL)
	inst.components.health.fire_damage_scale = 0
	
end

local fn = function(inst)

	-- choose which sounds this character will play
	inst.soundsname = "willow"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "yasha.tex" )

end

return MakePlayerCharacter("yasha", prefabs, assets, fn, master_postinit, start_inv)